Bug 1311149 - change vds_groups in etl to cluster
change vds_groups in etl to cluster
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-dwh
Classification: oVirt
Component: ETL (Show other bugs)
3.6.4
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Shirly Radco
Lukas Svaty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 08:52 EST by Shirly Radco
Modified: 2016-07-05 03:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:48:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
sradco: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53948 master MERGED history: change vds_groups to cluster 2016-02-24 03:52 EST

  None (edit)
Description Shirly Radco 2016-02-23 08:52:05 EST
Description of problem:
"vds_groups" table was changed in engine db to "cluster".
We need to make this change in the etl. Without it etl is broken.

Version-Release number of selected component (if applicable):
4.0

How reproducible:
100%

Steps to Reproduce:
1.setup dwh
2.
3.

Actual results:
Get errors

2016-02-23 08:18:10|wPHT2v|SMrqMw|Ac9T6O|OVIRT_ENGINE_DWH|
SampleTimeKeepingJob|Default|6|Java Exception|tRunJob_1|
java.lang.RuntimeException:Child job running failed|1
Exception in component tJDBCInput_17
org.postgresql.util.PSQLException: ERROR: relation "vds_groups" does not exist
  Position: 71
        at 
org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2198)
        at 
org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1927)
        at 
org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
        at 
org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:565)
        at 
org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:406)
        at 
org.postgresql.jdbc2.AbstractJdbc2Statement.executeQuery(AbstractJdbc2Statement.java:286)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_17Process(ConfigurationSync.java:53906)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_18Process(ConfigurationSync.java:11040)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_1Process(ConfigurationSync.java:10063)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_15Process(ConfigurationSync.java:8607)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_2Process(ConfigurationSync.java:7224)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_11Process(ConfigurationSync.java:6251)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync.tJDBCInput_9Process(ConfigurationSync.java:4439)
        at 
ovirt_engine_dwh.configurationsync_4_0.ConfigurationSync$2.run(ConfigurationSync.java:63883)

Expected results:
etl should work with no errors

Additional info:
Comment 1 Lukas Svaty 2016-06-24 06:16:08 EDT
internal change only, no errors generated -> sanity only, verified in ovirt-engine-dwh-4.0.0-2.el7ev.noarch
Comment 2 Sandro Bonazzola 2016-07-05 03:48:04 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.